VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Networking::Dns::Servers::Message Class Reference
Inheritance diagram for Com::Vmware::Appliance::Networking::Dns::Servers::Message:

## Avaliable Methods
public method | set_message ()
public method | set_result ()
public method | get_result ()
public method | get_message ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Networking::Dns::Servers::Message` class Test result and message

## Member Function Documentation

public method Com::Vmware::Appliance::Networking::Dns::Servers::Message::get_message | ( |  | ) |

Gets the value of 'message' property.

Return values

  message | - The current value of the field. message String#

Code:
click to view
# Number of lines of code in get_message: 4
sub get_message {
my ($self, %args) = @_;
return $self->{'message'};
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::Message::get_result | ( |  | ) |

Gets the value of 'result' property.

Return values

  result | - The current value of the field. result of the test MessageStatus#

Code:
click to view
# Number of lines of code in get_result: 4
sub get_result {
my ($self, %args) = @_;
return $self->{'result'};
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::Message::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Networking::Dns::Servers::Message structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{message} = $args{'message'};
$self->{result} = $args{'result'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Networking::Dns::Servers::Message');
$self->set_binding_name('name' => 'com.vmware.appliance.networking.dns.servers.message');
$self->set_binding_field('key' => 'message', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'result', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Networking::Dns', 'type_name' => 'Servers::MessageStatus'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::Message::set_message | ( |  | ) |

Sets the given value for 'message' property.

Parameters

  message | - New value for the field. message

Code:
click to view
# Number of lines of code in set_message: 5
sub set_message {
my ($self, %args) = @_;
$self->{'message'} = $args{'message'};
return;
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::Message::set_result | ( |  | ) |

Sets the given value for 'result' property.

Parameters

  result | - New value for the field. result of the test

Code:
click to view
# Number of lines of code in set_result: 5
sub set_result {
my ($self, %args) = @_;
$self->{'result'} = $args{'result'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Networking/Dns/Servers.pm